Skip to main content
GET
/
?module=contract&action=checkproxyverification
Check Proxy Verification Status
curl --request GET \
  --url 'https://eth.blockscout.com/api/?module=contract&action=checkproxyverification'
import requests

url = "https://eth.blockscout.com/api/?module=contract&action=checkproxyverification"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://eth.blockscout.com/api/?module=contract&action=checkproxyverification', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "message": "OK",
  "result": "Pass - Verified",
  "status": "1"
}

Query Parameters

module
enum<string>
required

Module name (must be 'contract')

Available options:
contract
action
enum<string>
required

Action name (must be 'checkproxyverification')

Available options:
checkproxyverification
guid
string
required

Verification attempt identifier

Response

200 - application/json

Successful response

status
enum<string>

Status code (1 = OK)

Available options:
1
message
string

Response message

Example:

"OK"